var system = require("../../../system")
const http = require("http")
const querystring = require('querystring');
var settings = require("../../../../config/settings");
const CtlBase = require("../../ctl.base");
class ChannelCtl extends CtlBase {
  constructor() {
    super("common", CtlBase.getServiceName(ChannelCtl));
  }
  async refQuery(pobj, qobj, req) {
    let rtn = await this.service.refQuery(pobj);
    return rtn
  }

  async authorizeUser(pobj, qobj, req) {
    if (!pobj.channelId) {
      return system.getResult(null, "channelId  can not be empty，100290");
    }
    await this.service.authorizeUser(pobj);
    return system.getResult("SUCCESS");
  }
}
module.exports = ChannelCtl;
